<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Oficina_de_Suport_theme
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#primary"><?php esc_html_e( 'Skip to content', 'ofisuport' ); ?></a>

	<header id="masthead" class="site-header">
    <div class="main">
	  	<div class="site-branding">
	  		<?php
	  		the_custom_logo();
	  		if ( is_front_page() && is_home() ) :
	  			?>
	  			<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
	  			<?php
	  		else :
	  			?>
	  			<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
	  			<?php
	  		endif;
	  		$ofisuport_description = get_bloginfo( 'description', 'display' );
	  		if ( $ofisuport_description || is_customize_preview() ) :
	  			?>
	  			<p class="site-description"><?php echo $ofisuport_description; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?></p>
	  		<?php endif; ?>
	  	</div><!-- .site-branding -->

	  	<nav id="site-navigation-main" class="main-navigation">
	  		<button class="menu-toggle" aria-controls="primary-menu" aria-expanded="false"><?php esc_html_e( 'Menu XarxaProd', 'ofisuport' ); ?></button>
	  		<?php
	  		wp_nav_menu(
	  			array(
	  				'theme_location' => 'menu-1',
	  				'menu_id'        => 'primary-menu',
	  			)
	  		);
	  		?>
	  	</nav><!--primary #site-navigation -->
		</div>
		<div class="secondary">
      <?php the_header_image_tag(); ?>
		  <nav id="site-navigation-secondary" class="site-navigation secondary-navigation toogle-secondary-navigation">
        <legend class="hide-content">menu</legend>
        <input id="hide-menu-mobile" class="hide-not-mobile toogle" name="toogle" type="radio">
        <label for="show-menu-mobile" class="hide-not-mobile toogle-show"><span class="hide-content">open</span></label>
        <input id="show-menu-mobile" class="hide-not-mobile toogle" name="toogle" type="radio">
        <div class="toogled-menu">
					<label for="hide-menu-mobile" class="hide-not-mobile toogle-hide"><span class="hide-content">close</span></label>
					<?php // here content to hide or show ?>
		  	  <?php
		  	  wp_nav_menu(
		  	  	array(
		  	  		'theme_location' => 'menu-2',
		  	  		'menu_id'        => 'secondary-menu',
		  	  	)
		  	  );
		  	  ?>
        </div><!--toogled-menu-->
			</nav><!--secondary #site-navigation -->

    </div><!--secondary-->
	</header><!-- #masthead -->
